.nav_menu-dropdown_list,.nav_submenu-dropdown_list,.nav_top-dropdown_list {
  /* opacity: 0; */
  transform-origin:top;
  /* transform: scaleY(0); */
}

.nav_menu-dropdown_list.w--open {
    animation: dropdownOpen 0.2s ease;
    /* transform: scaleY(1); */
    /* transition: transform .2s ease,visibility 1s ease 1s; */
}
.nav_submenu-dropdown_list.w-dropdown-list.w--open {
    animation: dropdownOpen 0.3s ease;
}
.nav_top-dropdown_list.w-dropdown-list.w--open {
    animation: dropdownOpen 0.2s ease;
}   

@keyframes dropdownOpen {
    0% {
        opacity: 0;
        /* transform: translateY(-20px) scale(0.8); */
        transform: scaleY(0.4);
		transform-origin: 100% 0%;
        /* height: 70%; */
    }
    100% {
        opacity: 1;
        transform: scaleY(1);
		transform-origin: 100% 0%;
        /* transform: translateY(0) scale(1);
        height: 100%; */
    }
}





.nav_menu-dropdown_toggle.w-dropdown-toggle .nav_menu-dropdown_icon {
    transform: rotate(0deg);
    transform-origin: 50% 50%;
    transition: transform 0.1s ease-in-out;
}

.nav_menu-dropdown_toggle.w-dropdown-toggle.w--open .nav_menu-dropdown_icon {
    transform: rotate(180deg);
    transform-origin: 50% 50%;
    transition: transform 0.2s ease-in-out;
}
.nav_submenu-dropdown_toggle.w-dropdown-toggle .nav_submenu-dropdown_icon{
    transform: rotate(0deg);
    /* transform-origin: center; */
     transform-origin: 50% 50%;
    transition: transform 0.1s ease-in-out;
}

.nav_submenu-dropdown_toggle.w-dropdown-toggle.w--open .nav_submenu-dropdown_icon{
    transform: rotate(180deg);
    /* transform-origin: center; */
     transform-origin: 50% 50%;
    transition: transform 0.2s ease-in-out;
}


.nav_top-dropdown_toggle.w-dropdown-toggle .nav_top-dropdown_icon {
    transform: rotate(0deg);
    transition: transform 0.1s ease-in-out;
    transform-origin: 50% 50%;/* Ensure the rotation point is at the center */
}
.nav_top-dropdown_toggle.w-dropdown-toggle.w--open .nav_top-dropdown_icon {
    transform: rotate(180deg);
    transition: transform 0.2s ease-in-out;
    transform-origin: 50% 50%; /* Ensure the rotation point is at the center */
}



.bounceInDown {
    -webkit-animation-name: bounceInDown;
    animation-name: bounceInDown;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    }
    @-webkit-keyframes bounceInDown {
    0%, 60%, 75%, 90%, 100% {
    -webkit-transition-timing-function: cubic-bezier(0.215, 0.610, 0.355, 1.000);
    transition-timing-function: cubic-bezier(0.215, 0.610, 0.355, 1.000);
    }
    
    0% {
    opacity: 0;
    -webkit-transform: translate3d(0, -3000px, 0);
    transform: translate3d(0, -3000px, 0);
    }
    
    60% {
    opacity: 1;
    -webkit-transform: translate3d(0, 25px, 0);
    transform: translate3d(0, 25px, 0);
    }
    
    75% {
    -webkit-transform: translate3d(0, -10px, 0);
    transform: translate3d(0, -10px, 0);
    }
    
    90% {
    -webkit-transform: translate3d(0, 5px, 0);
    transform: translate3d(0, 5px, 0);
    }
    
    100% {
    -webkit-transform: none;
    transform: none;
    }
    }
    
    @keyframes bounceInDown {
    0%, 60%, 75%, 90%, 100% {
    -webkit-transition-timing-function: cubic-bezier(0.215, 0.610, 0.355, 1.000);
    transition-timing-function: cubic-bezier(0.215, 0.610, 0.355, 1.000);
    }
    
    0% {
    opacity: 0;
    -webkit-transform: translate3d(0, -3000px, 0);
    transform: translate3d(0, -3000px, 0);
    }
    
    60% {
    opacity: 1;
    -webkit-transform: translate3d(0, 25px, 0);
    transform: translate3d(0, 25px, 0);
    }
    
    75% {
    -webkit-transform: translate3d(0, -10px, 0);
    transform: translate3d(0, -10px, 0);
    }
    
    90% {
    -webkit-transform: translate3d(0, 5px, 0);
    transform: translate3d(0, 5px, 0);
    }
    
    100% {
    -webkit-transform: none;
    transform: none;
    }
    } 